Skip to content
localisyncDocs
Open panel

Read distribution settings

All current project members. Private responses are not cached.

GET /api/v1/workspaces/{workspaceId}/projects/{projectId}/distributions/{id}

Operation: getDistribution · Download OpenAPI

Requires an authenticated Localisync panel session. The API checks current membership and permissions for workspace operations. See authentication and request rules.

sessionCookie

{
"type": "apiKey",
"in": "cookie",
"name": "__Host-localisync-session",
"description": "The local HTTP exception uses the configured development session cookie."
}
Name Location Required Description
workspaceId path Yes See constraints below.
projectId path Yes See constraints below.
id path Yes See constraints below.
{
"type": "string",
"format": "uuid"
}
{
"type": "string",
"format": "uuid"
}
{
"type": "string",
"format": "uuid"
}

No request body.

Successful response.

Content type: application/json Schema reference: Distribution.

Field Type Required Constraints / description
id string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
workspaceId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
projectId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
name string Yes —
origins Array of string Yes —
version number Yes —
policyRevision number Yes —
createdAt string Yes format: "date-time"; pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
{
"$ref": "#/components/schemas/Distribution"
}

Invalid fields or content.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Sign in required.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Current role does not permit the operation.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Resource unavailable within current scope.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Stale version, pending activation or unmet publication prerequisite.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Request limit exceeded.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Request rate limit exceeded.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

A dependency is unavailable; no success is reported.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
{
"$ref": "#/components/schemas/Error"
}

Request errors and safe retries · Troubleshooting

Cookie preferences

Your choice applies to localisync.com and docs.localisync.com. You can change it at any time using Cookie settings.